PATCH
/point-exchange-rule/:id/Update point exchange rule
You can update a specific point exchange rule.
| Attributes | Type | Required | Description |
|---|---|---|---|
| name | string | yes | A point exchange rule name. |
| amount | integer | yes | An amount |
| end_date | string | no | A DateTime when point campaign ends |
| max_daily_use_count | integer | no | A daily maximum number of an exchange rule usage. |
| max_trigger_count_interval | integer | no | A maximum number of interval days in between triggering this rule for a user. |
| max_trigger_count_value | integer | no | A maximum number of times that rule triggers for this specific user |
| perk | object | yes | An object with additional user benefits, e.g. coupon or a discount. |
| point_campaign | integer | yes | A unique identifier for the point campaign which is given by User.com |
| user_attribute | string | no | A standardized name for the user attribute (e.g. "My attribute" is standardized to "my_attribute"). An attribute has to be an integer type. |
| level_threshold | integer | no | A unique identifier for the customer level which is given by User.com |
Request
- CURL
- JavaScript
- PHP
- Python
curl --location --request PATCH 'https://<your_app_subdomain>.user.com/api/public/point-exchange-rule/1/' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <your_64_char_api_key>' \
--header 'Accept: */*; version=2' \
--data-raw '{ "name": "string", "amount": 0, "end_date": "2022-03-09T13:51:30.418Z", "max_daily_use_count": 0, "max_trigger_count_interval": 0, "max_trigger_count_value": 0, "perk": {}, "point_campaign": 0, "user_attribute": 0, "level_threshold": 0}'
var data = JSON.stringify({
name: "string",
amount: 0,
end_date: "2022-03-09T13:51:30.418Z",
max_daily_use_count: 0,
max_trigger_count_interval: 0,
max_trigger_count_value: 0,
perk: {},
point_campaign: 0,
user_attribute: 0,
level_threshold: 0,
});
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function() {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open(
"PATCH",
"https://<your_app_subdomain>.user.com/api/public/point-exchange-rule/1/"
);
xhr.setRequestHeader("accept", "application/json");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.setRequestHeader("Authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("Accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://<your_app_subdomain>.user.com/api/public/point-exchange-rule/1/',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_POSTFIELDS =>'{ "name": "string", "amount": 0, "end_date": "2022-03-09T13:51:30.418Z", "max_daily_use_count": 0, "max_trigger_count_interval": 0, "max_trigger_count_value": 0, "perk": {}, "point_campaign": 0, "user_attribute": 0, "level_threshold": 0}',
CURLOPT_HTTPHEADER => array(
'accept: application/json',
'Content-Type: application/json',
'Authorization: Token <your_64_char_api_key>',
'Accept: */*; version=2'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
import json
url = "https://<your_app_subdomain>.user.com/api/public/point-exchange-rule/1/"
payload = json.dumps({
"name": "string",
"amount": 0,
"end_date": "2022-03-09T13:51:30.418Z",
"max_daily_use_count": 0,
"max_trigger_count_interval": 0,
"max_trigger_count_value": 0,
"perk": {},
"point_campaign": 0,
"user_attribute": 0,
"level_threshold": 0
})
headers = {
'accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Token <your_64_char_api_key>',
'Accept': '*/*; version=2'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
Response
{
"id": 1,
"name": "string",
"amount": 0,
"end_date": "2022-03-09T13:51:30.418000Z",
"max_daily_use_count": 0,
"max_trigger_count_interval": 0,
"max_trigger_count_value": 0,
"perk": {},
"point_campaign": 1,
"user_attribute": 1,
"level_threshold": 1
}